Summary: administration tool to configure centraly a network of computers.
Name: sysf
Version: 1.02
Release: 1
Copyright: GPL 
Group: System Environment/Base
Source: http://maths.durham.ac.uk/~dma0bmp/SRC/sysf-1.02.tar.gz 
Buildroot: /var/tmp/sysf-root

%description 
Sysf is a system administration tool to configure centraly a network of
Unix/Linux computers. All the system configuration files of the 
individual computers are archived in a common set of directories. Sysf is
a tool to maintain this system file archive.

%prep
%setup 

%build
make CFLAGS="$RPM_OPT_FLAGS" 

%install
SYSF_DIR=$RPM_BUILD_ROOT/usr/local/sys/config 
SBIN=$RPM_BUILD_ROOT/sbin
mkdir -p $SBIN
mkdir -p $SYSF_DIR
install -s -m 755 sysf $SBIN/sysf
install -s -m 755 oeh  $SBIN/oeh
install -m 644 sysf.conf $SYSF_DIR/sysf.conf
install -m 644 hosts.conf $SYSF_DIR/hosts.conf
for D in BIN etc security filesys nis mail root login printing cron X11 rc extra
do
    mkdir -p $SYSF_DIR/$D 
done
cp BIN/* $SYSF_DIR/BIN
for COM in bootparams ethers group hosts netgroup netmasks networks nsswitch protocols publickey rpc services timezone ypservers
do
    ln -s -f NIS $SYSF_DIR/BIN/$COM
done


%files
%defattr(-,root,root)
/sbin/sysf
/sbin/oeh
/usr/local/sys/config/BIN/NIS  
/usr/local/sys/config/BIN/aliases  
/usr/local/sys/config/BIN/amd
/usr/local/sys/config/BIN/crontab
/usr/local/sys/config/BIN/printcap
/usr/local/sys/config/BIN/rpm.list
/usr/local/sys/config/BIN/xdm
/usr/local/sys/config/cron
/usr/local/sys/config/etc
/usr/local/sys/config/extra
/usr/local/sys/config/filesys
/usr/local/sys/config/login
/usr/local/sys/config/mail
/usr/local/sys/config/nis
/usr/local/sys/config/printing
/usr/local/sys/config/rc
/usr/local/sys/config/root
/usr/local/sys/config/security
/usr/local/sys/config/X11

%config /usr/local/sys/config/sysf.conf
%config /usr/local/sys/config/hosts.conf
%doc COPYING doc/html doc/sysf.ps
